Package org.picocontainer.injectors

# Class NamedMethodInjector<T>

java.lang.Object
org.picocontainer.adapters.AbstractAdapter<T>
org.picocontainer.injectors.AbstractInjector<T>
org.picocontainer.injectors.IterativeInjector<T>
org.picocontainer.injectors.SetterInjector<T>
org.picocontainer.injectors.NamedMethodInjector<T>

All Implemented Interfaces:
  `Serializable`, `ComponentAdapter<T>`, `ComponentMonitorStrategy`, `Injector<T>`

public class NamedMethodInjector<T> extends SetterInjector<T>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector

`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Field Summary

### Fields inherited from class org.picocontainer.injectors.SetterInjector

`prefix`

### Fields inherited from class org.picocontainer.injectors.IterativeInjector

`bindings, injectionMembers, injectionTypes`

### Fields inherited from class org.picocontainer.injectors.AbstractInjector

`parameters, verifyingGuard`

## Constructor Summary

Constructors
Constructor
Description
`NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor)`
`NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, boolean optional)`
`NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, String prefix)`
`NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, String prefix, boolean optional)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescriptor()`
Get a string key descriptor of the component adapter for use in toString()
`protected NameBinding`
`makeParameterNameImpl(AccessibleObject member)`

### Methods inherited from class org.picocontainer.injectors.SetterInjector

`getInjectorPrefix, injectIntoMember, isInjectorMethod, memberInvocationReturn, unsatisfiedDependencies`

### Methods inherited from class org.picocontainer.injectors.IterativeInjector

`crudeMethodSignature, decorateComponentInstance, getComponentInstance, getConstructor, getName, initializeInjectionMembersAndTypeLists, verify`

### Methods inherited from class org.picocontainer.injectors.AbstractInjector

`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, getComponentInstance, newInstance, useNames`

### Methods inherited from class org.picocontainer.adapters.AbstractAdapter

`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.picocontainer.ComponentAdapter

`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

## Constructor Details

### NamedMethodInjector

public NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, boolean optional)

### NamedMethodInjector

public NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor)

### NamedMethodInjector

public NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, String prefix)

### NamedMethodInjector

public NamedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, String prefix, boolean optional)

## Method Details

### makeParameterNameImpl

protected NameBinding makeParameterNameImpl(AccessibleObject member)

Overrides:
  `makeParameterNameImpl` in class `IterativeInjector<T>`

### getDescriptor

public String getDescriptor()
Description copied from interface: `ComponentAdapter`
Get a string key descriptor of the component adapter for use in toString()

Specified by:
  `getDescriptor` in interface `ComponentAdapter<T>`
Overrides:
  `getDescriptor` in class `SetterInjector<T>`
Returns:
  the descriptor